#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-CTr572FCQofGXaNrrF5WCB
key:                  lsp-1.6.0.0-CTr572FCQofGXaNrrF5WCB
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  db06228afae4d21a4a0f11a0d26580c2
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.0-6nSbyphzQoKScqOIdR6zP:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.0-6nSbyphzQoKScqOIdR6zP:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.0-6nSbyphzQoKScqOIdR6zP:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-CTr572FCQofGXaNrrF5WCB
depends:
    aeson-2.1.2.1-GLiPeiAR7ZSFwx9H49aVEA
    async-2.2.5-FpYc2RUKqMh7VEhubouhdj
    attoparsec-0.14.4-K2NonRChA499lXmUebatlk base-4.16.4.0
    bytestring-0.11.4.0 co-log-core-0.3.2.3-C0FMuVYlFnmCPNUaSE6EEh
    containers-0.6.5.1 data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.2
    hashable-1.4.4.0-LbPl9rwTnDUL4mxyCHHqh0
    lens-5.2.3-73GsVHKL59ZCRbUuAUvU77
    lsp-types-1.6.0.0-6nSbyphzQoKScqOIdR6zP mtl-2.2.2
    prettyprinter-1.7.1-7x8ULV7tlRe3aOwpDSy6yg
    random-1.2.1.2-3sZ6vUsFrno84Of1YV0z09
    sorted-list-0.2.2.0-9kReY0sRSAQAjZ9nTUeLUL stm-2.5.0.2
    temporary-1.3-S5nETkLhM07jW3BF5w2Vt text-1.2.5.0
    text-rope-0.3-DvDJi6NBC7icCKBRorkwc transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-4Y4A6Wn35BzvWquDAxs4Y
    uuid-1.3.15-Lthb0rhzKIw7roxXf3b299

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

